
Summary: Kerberos authentication module for HTTP
Name: mod_auth_kerb
Version: 5.1
Release: 5%{?dist}
License: Apache
Group: System Environment/Daemons
URL: http://modauthkerb.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Source1: auth_kerb.conf
Patch2: mod_auth_kerb-5.0-cache.patch
Patch4: mod_auth_kerb-5.0-gcc4.patch
Patch5: mod_auth_kerb-5.0-exports.patch
Patch7: mod_auth_kerb-5.1-krb15.patch
Patch8: mod_auth_kerb-5.1-fixes.patch
Patch9: mod_auth_kerb-5.1-username.patch
Patch10: mod_auth_kerb-5.1-xthread.patch
Patch11: mod_auth_kerb-5.1-localname.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: httpd-devel, krb5-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
mod_auth_kerb is module for the Apache HTTP Server designed to
provide Kerberos authentication over HTTP.  The module supports the
Negotiate authentication method, which performs full Kerberos
authentication based on ticket exchanges.

%prep
%setup -q -n %{name}-%{version}
%patch2 -p1 -b .cache
%patch4 -p1 -b .gcc4
%patch5 -p1 -b .exports
%patch7 -p1 -b .krb15
%patch8 -p1 -b .fixes
%patch9 -p1 -b .username
%patch10 -p1 -b .xthread
%patch11 -p1 -b .localname

%build
export APXS=/usr/sbin/apxs
%configure --without-krb4 --with-krb5=/usr/kerberos --with-apxs=/usr
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 755 src/.libs/mod_auth_kerb.so \
        $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_auth_kerb.so
install -m 644 $RPM_SOURCE_DIR/auth_kerb.conf \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/auth_kerb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/auth_kerb.conf
%{_libdir}/httpd/modules/*.so

%changelog
* Mon Jul 23 2012 Joe Orton <jorton@redhat.com> - 5.1-5
- add KrbLocalUserMapping support (#446670)
- force use of apxs for non-root users (#456662)

* Fri Dec 02 2011 Joe Orton <jorton@redhat.com> - 5.1-4
- fix thread-safety issue (#734098)

* Tue Jun 19 2007 Joe Orton <jorton@redhat.com> 5.1-3.el5
- fix username caching (#214213)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 5.1-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Joe Orton <jorton@redhat.com> 5.1-2
- update to 5.1

* Thu Aug  3 2006 Joe Orton <jorton@redhat.com> 5.0-10
- fix segfault at startup (#201145)

* Thu Jul 20 2006 Joe Orton <jorton@redhat.com> 5.0-9
- add Russ Allbery's fix for disabling replay cache with krb15

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 5.0-8.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 5.0-8.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 5.0-8.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Joe Orton <jorton@redhat.com> 5.0-8
- rebuild for httpd 2.2

* Wed Sep 21 2005 Joe Orton <jorton@redhat.com> 5.0-7
- fix build without /usr/sbin in $PATH (Roozbeh Pournader, #168212)

* Tue May 10 2005 Joe Orton <jorton@redhat.com> 5.0-6
- update to 5.0rc6
- don't force CC=gcc4

* Fri Mar  4 2005 Joe Orton <jorton@redhat.com> 5.0-3
- fix build with GCC 4
- only add "auth_kerb_module" symbol to dynamic symbol table

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  8 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.5
- remove static globals
- add SSLRequireSSL

* Mon Mar 29 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.3
- support mutual authentication (Nalin Dahyabhai)
- once authentication returns COMPLETE, cache name for the duration
  of the connection

* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.2
- add example config file

* Wed Mar 24 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.1
- update to mod_auth_kerb.c from HEAD to get workaround for
  "Request is a replay" errors

* Tue Mar 23 2004 Joe Orton <jorton@redhat.com> 
- Initial build.
